#!/bin/bash

echo "Usage : $0 username"
echo " where username will be used to download XIOS and DYNAMICO from forge.ipsl.fr via svn+ssh"

USER=$1
echo "Fetching DYNAMICO and XIOS from forge.ipsl.fr as $USER"

rm -rf modeles/XIOS modeles/DYNAMICO
cd modeles
svn co "svn+ssh://${USER}@forge.ipsl.jussieu.fr/ipsl/forge/projets/ioserver/svn/XIOS/trunk" -r 1659 XIOS
cp -pr ../patch/XIOS/arch/* XIOS/arch/
svn co "svn+ssh://${USER}@forge.ipsl.jussieu.fr/ipsl/forge/projets/dynamico/svn/codes/icosagcm/devel" DYNAMICO
